For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • POSTCreate a simulation case
      • GETList simulation cases
      • GETGet a simulation case
      • PUTUpdate a simulation case
      • DELDelete a simulation case
      • POSTGenerate test cases
      • GETList simulation cases by agent
      • POSTCreate a simulation suite
      • GETList simulation suites
      • GETGet a simulation suite
      • PUTUpdate a simulation suite
      • DELDelete a simulation suite
      • POSTExecute a simulation suite
      • POSTCreate a simulation scenario
      • GETList simulation scenarios
      • GETGet a simulation scenario
      • PUTUpdate a simulation scenario
      • DELDelete a simulation scenario
      • POSTStart a simulation
      • GETList simulation sessions
      • GETGet a simulation session
      • GETList simulations
      • GETGet a simulation
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APISimulations

List simulation suites

||View as Markdown|
GET
/simulation_suites
GET
/v2/simulation_suites
$curl https://api.synthflow.ai/v2/simulation_suites \
> -H "Authorization: Bearer <token>"
1{
2 "status": "ok",
3 "response": {
4 "items": [
5 {
6 "id": "string",
7 "name": "string",
8 "model_id": "string",
9 "workspace_id": "string",
10 "language": "en-US",
11 "created_at": "2024-01-15T09:30:00Z",
12 "updated_at": "2024-01-15T09:30:00Z",
13 "case_summaries": [
14 {
15 "simulation_case_id": "string",
16 "name": "string"
17 }
18 ],
19 "agent": {
20 "id": "string",
21 "name": "string",
22 "avatar": "string"
23 }
24 }
25 ],
26 "total": 1,
27 "page_number": 1,
28 "page_size": 1
29 }
30}
List simulation suites with pagination and optional filtering.
Was this page helpful?
Previous

Get a simulation suite

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

page_numberintegerOptional>=1Defaults to 1
Page number.
page_sizeintegerOptional1-100Defaults to 10
Number of items per page.
searchstringOptional
Search term for simulation suite names.
model_idslist of stringsOptional
Filter by list of model IDs.
start_datedatetimeOptional

Filter by created_at >= start_date (ISO format).

end_datedatetimeOptional

Filter by created_at <= end_date (ISO format).

Response

200
statusstring
Whether the request was successful.
responseobject

Errors

400
Bad Request Error